--- title: "getCloudHadoopTargetSubnetList" slug: "analytics-vhadoop-getcloudhadooptargetsubnetlist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadooptargetsubnetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopTargetSubnetList Available in VPC Get the list of subnets being used in Cloud Hadoop. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopTargetSubnetList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the subnet to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the query result (default) | | `vpcNo` | String | Required | Filter by VPC number. - See [getCloudHadoopTargetVpcList](/docs/en/analytics-vhadoop-getcloudhadooptargetvpclist). | | `cloudHadoopImageProductCode` | String | Required | Filter by cluster image code. - See [getCloudHadoopImageProductList](/docs/en/analytics-vhadoop-getcloudhadoopimageproductlist). | | `isPublic` | Boolean | Optional | Filter by whether it is a public subnet. - `true` \| `false` - `true`: public subnet - `false`: private subnet | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopTargetSubnetList ?regionCode=KR &vpcNo=***** &cloudHadoopImageProductCode=SW.VCHDP.LNX64.CNTOS.0708.HDP.21.B050 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopTargetSubnetListResponse` | Object | - | Response result - See [TargetSubnetList](/docs/en/common-vapidatatype-targetsubnetlist). | | `getCloudHadoopTargetSubnetListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopTargetSubnetListResponse.returnCode` | String | - | Response code | | `getCloudHadoopTargetSubnetListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopTargetSubnetListResponse": { "totalRows": 2, "targetSubnetList": [ { "subnetNo": "20****", "subnetName": "s1-hd-pri", "vpcNo": "9****", "vpcName": "vpc4hadoop", "zoneCode": "KR-2", "subnet": "**.**.**.**/**", "isPublic": false, "createdDate": "2025-02-18T11:23:41+0900" }, { "subnetNo": "20****", "subnetName": "s1-hd-pub", "vpcNo": "9****", "vpcName": "vpc4hadoop", "zoneCode": "KR-2", "subnet": "**.**.**.**/**", "isPublic": true, "createdDate": "2025-02-18T11:23:22+0900" } ], "requestId": "26137f18-****-****-****-1311410848de", "returnCode": "0", "returnMessage": "success" } } ```